Subject: Re: linux-next: suspend tree build failure

From: "Rafael J. Wysocki" <[email-masked]>
Date: Wed, 7 Oct 2009 00:31:55 +0200

On Tuesday 06 October 2009, Stephen Rothwell wrote:
> Hi Rafael,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> kernel/freezer.c:27: error: expected ',' or ';' before '{' token
> 
> Caused by commit 9a4801cb8df76263abbb3049c0208625b7f34286 ("PM / freezer:
> Make refrigerator cold") which neglected to include linux/compiler.h for
> the definition of __cold.

Thanks for the notification.

Did you cross-compile it by chance?  It builds for me on native x86_64 with
allmodconfig, which is why I missed this issue.

> I have used the version of the suspend tree from next-20091002 for today.

I added the #include <linux/compiler.h> to freezer.h, but obviously I couldn't
verify if that fixed the problem.  Hopefully it did.

Pushing updated tree.

Best,
Rafael